| QxOrm 1.4.5 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- File List
- File Members

Classes | Namespaces | Functions
QxStdOptional.h File Reference
QxExtras : QxOrm library extra-tools (for example : enable std::optional for C++17 compilers, enable boost::optional feature without enabling all boost features)

Support std::optional<T> class (requires a C++17 compiler) to manage NULL database value, this header should be included just after <QxOrm.h> header file (ideally in a precompiled header) More...

`#include <optional>`
`#include <QtCore/qdatastream.h>`
`#include <QxOrm.h>`
`#include <QxTraits/construct_null_qvariant.h>`

Go to the source code of this file.

## Classes
struct | qx::trait::get_sql_type< std::optional< T > >
struct | qx::cvt::detail::QxConvert_ToJson< std::optional< T > >
struct | qx::cvt::detail::QxConvert_FromJson< std::optional< T > >
struct | qx::cvt::detail::QxConvert_ToString< std::optional< T > >
struct | qx::cvt::detail::QxConvert_FromString< std::optional< T > >
struct | qx::cvt::detail::QxConvert_ToVariant< std::optional< T > >
struct | qx::cvt::detail::QxConvert_FromVariant< std::optional< T > >
## Namespaces
namespace | qx
| Root namespace for all QxOrm library features.
namespace | qx::trait
| QxOrm library traits (template metaprogramming) not available in boost::type_traits library.
namespace | qx::cvt
| Provide global functions to convert any kind of objects to/from QString and QVariant format.
namespace | qx::cvt::detail
| Internal helper tools for qx::cvt namespace.
## Functions
template<typename T >
QDataStream & | operator<< (QDataStream &stream, const std::optional< T > &t)
template<typename T >
QDataStream & | operator>> (QDataStream &stream, std::optional< T > &t)

## Detailed Description

Support std::optional<T> class (requires a C++17 compiler) to manage NULL database value, this header should be included just after <QxOrm.h> header file (ideally in a precompiled header)

Author:
  Lionel Marty

Definition in file QxStdOptional.h.

## Function Documentation

template<typename T >

QDataStream& operator<< | ( | QDataStream & | stream,
|  | const std::optional< T > & | t
| ) |  |

Definition at line 55 of file QxStdOptional.h.

template<typename T >

QDataStream& operator>> | ( | QDataStream & | stream,
|  | std::optional< T > & | t
| ) |  |

Definition at line 64 of file QxStdOptional.h.